# class Gem::ConflictError

Raised when there are conflicting gem specs loaded

### Attributes

conflicts [R]

A `Hash` mapping conflicting specifications to the dependencies that caused the conflict

target [R]

The specification that had the conflict

### Public Class Methods

new (target, conflicts)
Source

    # File lib/rubygems/errors.rb, line 83
    def initialize(target, conflicts)
      @target    = target
      @conflicts = conflicts
      @name      = target.name

      reason = conflicts.map do |act, dependencies|
        "#{act.full_name} conflicts with #{dependencies.join(", ")}"
      end.join ", "

      # TODO: improve message by saying who activated `con`

      super("Unable to activate #{target.full_name}, because #{reason}")
    end

Calls superclass method `Exception::new`